We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)
Ok

THREATINT
PUBLISHED

CVE-2024-2366

Remote Code Execution in parisneo/lollms-webui

Reserved:2024-03-10
Published:2024-05-16
Updated:2024-05-16

Description

A remote code execution vulnerability exists in the parisneo/lollms-webui application, specifically within the reinstall_binding functionality in lollms_core/lollms/server/endpoints/lollms_binding_infos.py of the latest version. The vulnerability arises due to insufficient path sanitization, allowing an attacker to exploit path traversal to navigate to arbitrary directories. By manipulating the binding_path to point to a controlled directory and uploading a malicious __init__.py file, an attacker can execute arbitrary code on the server.



CRITICAL: 9.0CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:C/C:H/I:H/A:H

Problem types

CWE-77 Improper Neutralization of Special Elements used in a Command ('Command Injection')

Product status

Any version
affected

References

https://huntr.com/bounties/63266c77-408b-45ff-962c-8163db50a864

cve.org CVE-2024-2366

nvd.nist.gov CVE-2024-2366

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-2366